#### POSIX Threads for Windows – REFERENCE - Pthreads-w32

Reference Index

Table of Contents

## Name

pthread_attr_getstacksize, pthread_attr_setstacksize - get and set the stacksize attribute

## Synopsis

#include <pthread.h>

int pthread_attr_getstacksize(const pthread_attr_t *restrict attr, size_t *restrict stacksize);
int pthread_attr_setstacksize(pthread_attr_t *attr, size_t stacksize);

## Description

The pthread_attr_getstacksize and pthread_attr_setstacksize functions, respectively, shall get and set the thread creation stacksize attribute in the attr object.

The stacksize attribute shall define the minimum stack size (in bytes) allocated for the created threads stack.

Pthreads-w32 defines _POSIX_THREAD_ATTR_STACKSIZE in pthread.h to indicate that these routines are implemented and may be used to set or get the stack size.

Default value: 0 (in Pthreads-w32 a value of 0 means the stack will grow as required)

## Return Value

Upon successful completion, pthread_attr_getstacksize and pthread_attr_setstacksize shall return a value of 0; otherwise, an error number shall be returned to indicate the error.

The pthread_attr_getstacksize function stores the stacksize attribute value in stacksize if successful.

## Errors

The pthread_attr_setstacksize function shall fail if:

EINVAL
  The value of stacksize is less than {PTHREAD_STACK_MIN} or exceeds a system-imposed limit.

These functions shall not return an error code of [EINTR].

The following sections are informative.

## Examples

None.

## Application Usage

None.

## Rationale

None.

## Future Directions

None.

## See Also

pthread_attr_destroy(3) , pthread_attr_getstackaddr(3) , pthread_attr_getdetachstate(3) , pthread_create(3) , the Base Definitions volume of IEEE Std 1003.1-2001, <limits.h>, <pthread.h>

## Copyright

Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

Modified by Ross Johnson for use with Pthreads-w32.

Table of Contents

- Name

- Synopsis

- Description

- Return Value

- Errors

- Examples

- Application Usage

- Rationale

- Future Directions

- See Also

- Copyright